LibraryPathListEditor
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.ui.preferences
Class LibraryPathListEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.jface.preference.ListEditor
              org.eclipse.cdt.managedbuilder.llvm.ui.preferences.LlvmListEditor
                  org.eclipse.cdt.managedbuilder.llvm.ui.preferences.LibraryPathListEditor

    public class LibraryPathListEditor

extends LlvmListEditor

New implementation of LlvmListEditor. Used to select a library path from the dialog.

Field Summary

Fields inherited from class org.eclipse.cdt.managedbuilder.llvm.ui.preferences.LlvmListEditor
`addButton, buttonBox, downButton, list, removeButton, upButton`

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`HORIZONTAL_GAP, IS_VALID, VALUE`

Constructor Summary
`LibraryPathListEditor(java.lang.String name, java.lang.String labelText, org.eclipse.swt.widgets.Composite parent)` Constructor.

Method Summary
`protected java.lang.String` | `getNewInputObject()`
`protected void` | `removePressed()` Notifies that the Remove button has been pressed.

Methods inherited from class org.eclipse.cdt.managedbuilder.llvm.ui.preferences.LlvmListEditor
`addPressed, createList, createSelectionListener, downPressed, getButtonBoxControl, getListControl, getShell, parseString, selectionChanged, upPressed`

Methods inherited from class org.eclipse.jface.preference.ListEditor
`adjustForNumColumns, doFillIntoGrid, doLoad, doLoadDefault, doStore, getAddButton, getDownButton, getList, getNumberOfControls, getRemoveButton, getUpButton, setEnabled, setFocus`

Methods inherited from class org.eclipse.jface.preference.FieldEditor
`applyFont, checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryPathListEditor

    LibraryPathListEditor(java.lang.String name,
                          java.lang.String labelText,
                          org.eclipse.swt.widgets.Composite parent)

  Constructor.

  Parameters:
    `name` - the name of the preference this field editor works on
    `labelText` - the label text of the field editor
    `parent` - the parent of the field editor's control

Method Detail

### getNewInputObject

    protected java.lang.String getNewInputObject()

  Specified by:
    `getNewInputObject` in class `org.eclipse.jface.preference.ListEditor`

### removePressed

    protected void removePressed()

  Description copied from class: `LlvmListEditor`
  Notifies that the Remove button has been pressed.

  Specified by:
    `removePressed` in class `LlvmListEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD